Bug 96092 - Crash opening "manage changes" in Side Bar for the first time when the bullets and numbering toolbar is visible
Summary: Crash opening "manage changes" in Side Bar for the first time when the bullet...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: x86 (IA32) All
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0 target:5.1.4
Keywords: bibisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2015-11-26 16:33 UTC by Cor Nouws
Modified: 2016-10-25 19:02 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
test file for freezing Manage changed (45.50 KB, text/odt)
2015-11-26 16:34 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2015-11-26 16:33:21 UTC
Turn Options > LibreOffice > Advanced .. Experimental features ON
Restart.

I'll attach a file.
Open that.
(Do a bit pgUp, PgDown)
Put cursor on page 3.
Open Manage Changes in Side Bar.
Click in document.
(If needed, do a bit pgUp, PgDown)

 > Document view is trying to move to - as it seems - a comment,
   but continues jumping up and down.
 > Freeze, need to kill.

Ubuntu 32 bits - LibreOffice version: 5.1.0.0.alpha1+
Build ID: f6bc5b79c31225c02e9500d0ced4bd26f998f82b
Threads 2; Ver: 4.2; Render: GL; 
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:master, Time: 2015-11-24_01:06:34
Locale: nl-NL (nl_NL.UTF-8)
Comment 1 Cor Nouws 2015-11-26 16:34:02 UTC
Created attachment 120822 [details]
test file for freezing Manage changed
Comment 2 Cor Nouws 2015-11-26 16:44:18 UTC
tested in 5.0.3.2. Does not have the problem there.
OpenGL does not influence the result.

@Kendy: since you worked on the manage changes, adding you in cc. Maybe not at all related..
Comment 3 Buovjaga 2015-11-28 19:42:15 UTC
Repro.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: a7c3a2a9be83686657c06f37d521f9f6d2004ddd
Threads 4; Ver: Windows 6.1; Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2015-11-28_04:39:18
Locale: fi-FI (fi_FI)
Comment 4 Joel Madero 2015-12-13 16:16:30 UTC
This file crashes for me with current master.

Version: 5.2.0.0.alpha0+
Build ID: 5df326438fd3a5613a52b4de1935426911ff1301
Comment 5 Robinson Tryon (qubit) 2015-12-14 05:32:33 UTC Comment hidden (obsolete)
Comment 6 raal 2015-12-15 17:51:46 UTC
bibisected using /bibisect-win32-5.1
I marked as bad commit which crashes writer immediately (when Open Manage Changes in Side Bar), but in every bibisected commit (good) LO crashes after closing the program.

92dedde279c7521da59f3b3c535d6fd9c26efcef is the first bad commit
commit 92dedde279c7521da59f3b3c535d6fd9c26efcef
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Wed Oct 28 09:49:00 2015 -0700

    source sha:8c85e746dc52bf8ada89d4be6d193a0760af1b21

    source sha:8c85e746dc52bf8ada89d4be6d193a0760af1b21

:040000 040000 a40e240bf3b28bbe9d4867666ded2d517cfd363a 942049a96a407cd36b7ea82ff94fe5704763279c M      instdir

author	Miklos Vajna <vmiklos@collabora.co.uk>	2015-10-28 08:01:09 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2015-10-28 08:06:09 (GMT)
commit	8c85e746dc52bf8ada89d4be6d193a0760af1b21 (patch)
sw: prefix members of SwTableBox
Comment 7 Björn Michaelsen 2016-04-19 17:31:00 UTC
It seems this crashes only when:
- the "manage changes" sidebar has never been opened before
- _and_ the "bullets and numbering" toolbar is visible on the bottom of the view at the same time

If the bullets and numbering toolbar isnt enable (cursor not in an enumeration), the sidebar opens fine. If done so, it reopens just fine, even when the bullets and numbering toolbar is visible now.

Backtrace:
#0  0x00002aaaaedca1a7 in sfx2::sidebar::TabItem::MouseButtonUp (this=0x5ec8f80, rMouseEvent=...)
    at /run/user/1000/lo-daily/libreoffice/sfx2/source/sidebar/TabItem.cxx:106
#1  0x00002aaab1afae17 in ImplHandleMouseEvent (xWindow=..., nSVEvent=MouseNotifyEvent::MOUSEBUTTONUP, bMouseLeave=false, nX=563, nY=278, 
    nMsgTime=2238406675, nCode=1, nMode=(MouseEventModifiers::SIMPLECLICK | MouseEventModifiers::SELECT))
    at /run/user/1000/lo-daily/libreoffice/vcl/source/window/winproc.cxx:715
#2  0x00002aaab1b022b9 in ImplHandleSalMouseButtonUp (pWindow=0x1676900, pEvent=0x7fffffff4770)
    at /run/user/1000/lo-daily/libreoffice/vcl/source/window/winproc.cxx:2032
#3  0x00002aaab1b0086f in ImplWindowFrameProc (_pWindow=0x1676900, nEvent=4, pEvent=0x7fffffff4770)
    at /run/user/1000/lo-daily/libreoffice/vcl/source/window/winproc.cxx:2376
#4  0x00002aaac0b2e89b in SalFrame::CallCallback (this=0x1677140, nEvent=4, pEvent=0x7fffffff4770)
    at /run/user/1000/lo-daily/libreoffice/vcl/inc/salframe.hxx:273
#5  0x00002aaac0b29854 in GtkSalFrame::signalButton (pEvent=0x61ecd30, frame=0x1677140)
    at /run/user/1000/lo-daily/libreoffice/vcl/unx/gtk3/gtk3gtkframe.cxx:2629
Comment 8 Björn Michaelsen 2016-04-19 17:34:38 UTC
Ah, and yes:
(gdb) p GetParent()
[Thread 0x2aaac5820700 (LWP 9299) exited]
$1 = (vcl::Window *) 0x0
(gdb) p mpWindowImpl
$2 = (WindowImpl *) 0x0
Comment 9 Commit Notification 2016-05-13 11:35:07 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=296a67874a9e5ee1f93a38716e996207b1d2b59f

Resolves: tdf#96092 crash on activating manage changes sidebar

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Caolán McNamara 2016-05-13 11:37:27 UTC
There was a comment initially about freezing, then it became about the crash. So I have fixed the crash, the freeze may still exist. If so then that needs to be split into a different bug with exact "click here and then click there" instructions.
Comment 11 Buovjaga 2016-05-14 19:15:38 UTC
I can't repro the freeze anymore.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.2.0.0.alpha1+
Build ID: 1dbdc947fcc9d843764731e6dae7ce60082576e0
CPU Threads: 8; OS Version: Linux 4.5; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Built on May 14th 2016
Comment 12 Commit Notification 2016-05-17 07:21:31 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6b8c3b6435bd7ab0cd922db2fe7abc2f206f8dab&h=libreoffice-5-1

Resolves: tdf#96092 crash on activating manage changes sidebar

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.